API Reference
Every endpoint accepts JSON and requires the X-API-Key header for authentication.
Base URL and header
- Base URL
https://horizon.pm/api/v1/app- X-API-Key
- Your project API key. Send it with every request.
Endpoints
112 of 112
| Method | Path | Features | Copy URL |
|---|---|---|---|
| GET | /marketplace/limits | Marketplace | |
| GET | /marketplace/rules | Marketplace | |
| GET | /marketplace | Marketplace | |
| GET | /marketplace/listings | Marketplace | |
| GET | /marketplace/listings/{listingId} | Marketplace | |
| POST | /marketplace/listings | Marketplace | |
| POST | /marketplace/listings/{listingId}/buy | Marketplace | |
| POST | /marketplace/listings/{listingId}/cancel | Marketplace | |
| GET | /marketplace/operations/{operationId} | Marketplace | |
| POST | /marketplace/listings/{listingId}/retry-return | Marketplace | |
| GET | /chat/limits | Chat | |
| POST | /chat/channels/open | Chat | |
| POST | /chat/channels/{channelId}/sync | Chat | |
| POST | /chat/channels/{channelId}/messages | Chat | |
| GET | /chat/operations/{operationId} | Chat | |
| POST | /chat/channels/{channelId}/messages/{messageId}/report | Chat | |
| GET | /matches | Matches | |
| GET | /matches/limits | Matches | |
| GET | /matches/open | Matches | |
| GET | /matches/{matchId} | Matches | |
| POST | /matches | Matches | |
| POST | /matches/{matchId}/join | Matches | |
| POST | /matches/{matchId}/decline | Matches | |
| POST | /matches/{matchId}/start | Matches | |
| POST | /matches/{matchId}/turn | Matches | |
| POST | /matches/{matchId}/timeout | Matches | |
| POST | /matches/{matchId}/leave | Matches | |
| POST | /matches/{matchId}/cancel | Matches | |
| POST | /matches/{matchId}/result | Matches | |
| POST | /matches/{matchId}/ranked-run | Matches | |
| GET | /shared-objects/collections | Shared objects | |
| GET | /shared-objects/{collection}/usage | Shared objects | |
| GET | /shared-objects/{collection}/objects/{objectId} | Shared objects | |
| POST | /shared-objects/{collection}/query | Shared objects | |
| POST | /shared-objects/{collection}/objects | Shared objects | |
| PUT | /shared-objects/{collection}/objects/{objectId} | Shared objects | |
| DELETE | /shared-objects/{collection}/objects/{objectId} | Shared objects | |
| GET | /items | Items | |
| GET | /items/catalog | Items | |
| POST | /items/adjust | Items | |
| POST | /items/equip | Items | |
| POST | /items/discard | Items | |
| GET | /groups | Groups | |
| GET | /groups/{groupId} | Groups | |
| GET | /groups/{groupId}/members | Groups | |
| GET | /groups/{groupId}/pending | Groups | |
| POST | /groups | Groups | |
| PUT | /groups/{groupId} | Groups | |
| POST | /groups/{groupId}/join | Groups | |
| POST | /groups/{groupId}/request | Groups | |
| POST | /groups/{groupId}/invite | Groups | |
| POST | /groups/{groupId}/accept-invite | Groups | |
| POST | /groups/{groupId}/decline-invite | Groups | |
| POST | /groups/{groupId}/cancel-invite | Groups | |
| POST | /groups/{groupId}/accept-request | Groups | |
| POST | /groups/{groupId}/decline-request | Groups | |
| POST | /groups/{groupId}/cancel-request | Groups | |
| POST | /groups/{groupId}/leave | Groups | |
| POST | /groups/{groupId}/remove | Groups | |
| POST | /groups/{groupId}/role | Groups | |
| POST | /groups/{groupId}/transfer | Groups | |
| POST | /groups/{groupId}/delete | Groups | |
| POST | /user-management/signup | Authentication | |
| POST | /user-management/signin | Authentication | |
| POST | /user-management/check-auth | Users | |
| POST | /user-management/change-name | Users | |
| GET | /friends | Friends | |
| GET | /friends/find | Friends | |
| POST | /friends/request | Friends | |
| POST | /friends/accept | Friends | |
| POST | /friends/decline | Friends | |
| POST | /friends/cancel | Friends | |
| POST | /friends/remove | Friends | |
| POST | /friends/block | Friends | |
| POST | /friends/unblock | Friends | |
| GET | /achievements | Achievements | |
| POST | /achievements/unlock | Achievements | |
| POST | /achievements/rewards/deliver | Achievements | |
| GET | /inbox | Player inbox | |
| POST | /inbox/read | Player inbox | |
| POST | /inbox/claim | Player inbox | |
| POST | /inbox/remove | Player inbox | |
| GET | /statistics | Player statistics | |
| GET | /statistics/definitions | Player statistics | |
| POST | /statistics | Player statistics | |
| GET | /player-values | Player values | |
| GET | /player-values/offers | Player values | |
| POST | /player-values/purchase | Player values | |
| POST | /player-values/adjust | Player values | |
| GET | /player-profile | Player Profile | |
| PUT | /player-profile | Player Profile | |
| POST | /leaderboard/submit | Leaderboard | |
| GET | /leaderboards/{boardKey}/top | Leaderboard | |
| GET | /leaderboards/{boardKey}/rank | Leaderboard | |
| GET | /leaderboards/{boardKey}/around | Leaderboard | |
| POST | /validated-actions/runs | Validated Actions | |
| POST | /validated-actions/submit | Validated Actions | |
| POST | /cloud-save/save | Cloud Save | |
| POST | /cloud-save/load | Cloud Save | |
| GET | /remote-config/{configKey} | Remote Config | |
| GET | /remote-config/all | Remote Config | |
| GET | /localization/{key} | Localization | |
| GET | /localization/all | Localization | |
| GET | /news | News | |
| POST | /gift-codes/validate | Gift Codes | |
| POST | /gift-codes/redeem | Gift Codes | |
| POST | /email-sending/send | Email Sending | |
| GET | /email-sending/{emailId} | Email Sending | |
| POST | /crash-reports/session | Crash Reporting | |
| POST | /crash-reports/create | Crash Reporting | |
| POST | /user-feedback/submit | User Feedback | |
| POST | /user-logs/create | User Logs |
Example request
Bash
1curl -X POST https://horizon.pm/api/v1/app/user-management/signup \
2 -H "Content-Type: application/json" \
3 -H "X-API-Key: horizon_YOUR_API_KEY_HERE" \
4 -d '{"type":"ANONYMOUS","username":"TestPlayer","includeRefreshToken":true}'